All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.html
Class DefaultRowSelectionRenderer

    com.sas.servlet.tbeans.tableview.html.DefaultRowSelectionRenderer

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableCell, TableCellRenderer, javax.swing.SwingConstants

    public class DefaultRowSelectionRenderer

The DefaultRowSelectionRenderer is responsible for rendering the entire cell in the row selection column of a tableview. By default the TableCellContentsRenderer will be an instance of CellContentsRowSelectionRenderer and the cell's contents will be rendered as a check box.

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`DefaultRowSelectionRenderer()` Constructs a new DefaultRowSelectionRenderer
`DefaultRowSelectionRenderer(TableCellContentsRenderer cRenderer)` Constructs a new DefaultRowSelectionRenderer with the given TableCellContentsRenderer

Method Summary
`void` | `write(java.io.PrintWriter out, AbstractBaseTableView tableview, java.lang.Object value, java.lang.String name, ActionList actions)` Write the entire table cell in the appropriate markup language.

Methods inherited from class com.sas.servlet.tbeans.tableview.html.DefaultTableCellRenderer
`getTableCellContentsRenderer, setTableCellContentsRenderer`

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableCell
`getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getId, getLocale, getRowSpan, getScope, getStyleInfo, getVerticalAlignment, getWidth, getWidthPercentage, isHeader, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeader, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setId, setLocale, setNoWrap, setRowSpan, setScope, setStyleInfo, setVerticalAlignment, setWidth, setWidthPercentage, writeBeginCell, writeEndCell`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCellRenderer
`getLocale, setLocale`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCell
`isHeader, setHeader, writeBeginCell, writeEndCell`

Constructor Detail

### DefaultRowSelectionRenderer

    public DefaultRowSelectionRenderer()

  Constructs a new DefaultRowSelectionRenderer

### DefaultRowSelectionRenderer

    public DefaultRowSelectionRenderer(TableCellContentsRenderer cRenderer)

  Constructs a new DefaultRowSelectionRenderer with the given TableCellContentsRenderer

  Parameters:
    `cRenderer` - an instance of TableCellContentsRenderer

Method Detail

### write

    public void write(java.io.PrintWriter out,
                      AbstractBaseTableView tableview,
                      java.lang.Object value,
                      java.lang.String name,
                      ActionList actions)
               throws java.io.IOException

  Write the entire table cell in the appropriate markup language. This method calls the writeBeginCell, writeEndCell and TableCellContentsRenderer.setCellRendererContentsValue methods.

  Specified by:
    `write` in interface `TableCell`
  Overrides:
    `write` in class `DefaultTableCellRenderer`
  Parameters:
    `out` - the output stream
    `tableview` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents component
    `actions` - an actionlist of all the valid actions for this cell
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.